


Name:       filelight
Summary:    Graphical disk usage statistics
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://utils.kde.org/projects/filelight/
Source0:    http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: solid-devel
BuildRequires: kxmlgui-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl



%description
Filelight allows you to quickly understand exactly where your
diskspace is being used by graphically representing your file
system as a set of concentric segmented-rings. You can use it
to locate hotspots of disk usage and then manipulate those
areas using a file manager.

%files
%_kf5_bindir/filelight
%_sysconfdir/xdg/filelightrc
%_kf5_datadir/applications/org.kde.filelight.desktop
%_iconsdir/*/*/*/*.png
%_kf5_datadir/kxmlgui5/filelight
%_kf5_iconsdir/*/*/apps/filelight.*
%_kf5_datadir/locale
%_kf5_datadir/metainfo/org.kde.filelight.appdata.xml
%_kf5_datadir/qlogging-categories5/filelight.categories
#------------------------------------------------------------------------------

%package -n filelight-handbook
Summary: Filelight handbook
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n filelight-handbook
This package provides filelight handbook.

%files -n filelight-handbook
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

